import Vue from 'vue'
import App from './App'
import store from './store'

import "@/utils/vue_extend.js" // 常用方法

// 全局组件
import emptyView from '@/components/empty-view/index.vue'
Vue.component('empty-view', emptyView)

Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
	store,
    ...App
})
app.$mount()
